Quassel IRC - Bug #710

Crash when clicking systray icon right after startup
05/30/2009 12:02 PM - DevUrandom

Status: Rejected Start date: 05/30/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour

Target version:
Version: 0.4.2 0S: Linux

Description

When | clicked the systray icon right after startup, Quassel crashed.
This was reproducable until | tried running Quassel in GDB, after which the issue apparently vanished.

Related issues:

Is duplicate of Quassel IRC - Bug #663: Crash when disabling uniform row heig... Assigned 04/07/2009

History

#1 - 05/31/2009 02:26 AM - DevUrandom

Having another crash right now, maybe the info helps you fixing your Heisenbug.
Qt 4.5.1, KDE 4.2.88

"no registered receiver for sync call: IrcUser::awaySet(bool) (objectName="1/devurandom"). Params are:" (QVariant(bool, false) )

QPainter::begin: Paint device returned engine 0, type: 2
QPainter::translate: Painter not active

QPainter::end: Painter not active, aborted
QPainter::begin: Paint device returned engine 0, type: 2
QPainter::translate: Painter not active

QPainter::end: Painter not active, aborted
QPainter::begin: Paint device returned engine 0, type: 2
QPainter::translate: Painter not active

QPainter::end: Painter not active, aborted
QPainter::begin: Paint device returned engine 0, type: 2
QPainter::translate: Painter not active

QPainter::end: Painter not active, aborted

Program received signal SIGSEGV, Segmentation fault.

[Switching to Thread 0x7f2639344750 (LWP 24263)]

0x00007f263892bacb in QSortFilterProxyModel::parent () from /usr/lib64/qt4/libQtGui.so.4

(gdb) bt full

#0 0x00007f263892bacb in QSortFilterProxyModel::parent () from /usr/lib64/gt4/libQtGui.so.4

No symbol table info available.

#1 0x00007f26388e9bf9 in QTreeView::indexRowSizeHint () from /usr/lib64/qt4/libQtGui.so.4

No symbol table info available.

#2 0x00007f26388ea27d in ?? () from /usr/lib64/qt4/libQtGui.so.4

No symbol table info available.

#3 0x00007f26388ea4d1 in ?? () from /usr/lib64/qt4/libQtGui.so.4

No symbol table info available.

#4 0x00007f26388ea8ff in QTreeView::updateGeometries () from /usr/lib64/qt4/libQtGui.so.4

No symbol table info available.

#5 0x00007f2638464182 in QWidget::event () from /usr/lib64/qt4/libQtGui.so.4

No symbol table info available.

#6 0x00007f26387a6d7b in QFrame::event () from /usr/lib64/qt4/libQtGui.so.4

No symbol table info available.

#7 0x00007f26388bb81d in QAbstractltemView::viewportEvent () from /usr/lib64/qt4/libQtGui.so.4
No symbol table info available.

#8 0x00007f26388f13b2 in QTreeView::viewportEvent () from /usr/lib64/qt4/libQtGui.so.4

No symbol table info available.

#9 0x00007f2638e9a327 in QCoreApplicationPrivate::sendThroughObjectEventFilters () from /usr/lib64/qt4/libQtCore.so.4
No symbol table info available.

#10 0x00007f263841733c¢ in QApplicationPrivate::notify_helper () from /usr/lib64/qt4/libQtGui.so.4
No symbol table info available.

#11 0x00007f263841fc3a in QApplication::notify () from /usr/lib64/qt4/libQtGui.so.4

No symbol table info available.

#12 0x00007f2636610d3b in KApplication::notify () from /usr/lib64/libkdeui.s0.5

No symbol table info available.
#13 0x00007f2638e9afc3 in QCoreApplication::notifylnternal () from /usr/lib64/qt4/libQtCore.so0.4
No symbol table info available.

#14 0x00007f263845f041 in QWidgetPrivate::sendPendingMoveAndResizeEvents () from /usr/lib64/qt4/libQtGui.so.4
No symbol table info available.

#15 0x00007f2638464d93 in QWidgetPrivate::show_helper () from /usr/lib64/qt4/libQtGui.so.4
---Type <return> to continue, or q <return> to quit---

No symbol table info available.

#16 0x00007f2638465412 in QWidget::setVisible () from /usr/lib64/qt4/libQtGui.so.4

No symbol table info available.

#17 0x00007f263846521e in QWidgetPrivate::showChildren () from /usr/lib64/qt4/libQtGui.so.4
No symbol table info available.

#18 0x00007f2638464daf in QWidgetPrivate::show_helper () from /usr/lib64/qt4/libQtGui.so.4
No symbol table info available.

#19 0x00007f2638465202 in QWidgetPrivate::showChildren () from /usr/lib64/qt4/libQtGui.so.4
No symbol table info available.

#20 0x00007f2638464daf in QWidgetPrivate::show_helper () from /usr/lib64/qt4/libQtGui.so.4
No symbol table info available.

#21 0x00007f2638465202 in QWidgetPrivate::showChildren () from /usr/lib64/qt4/libQtGui.so.4
No symbol table info available.

#22 0x00007f2638464daf in QWidgetPrivate::show_helper () from /usr/lib64/qt4/libQtGui.so.4
No symbol table info available.

#23 0x00007f2638465412 in QWidget::setVisible () from /usr/lib64/qt4/libQtGui.so.4

No symbol table info available.

#24 0x00007f263668f6e2 in KSystemTraylcon::minimizeRestore () from /usr/lib64/libkdeui.s0.5
No symbol table info available.

#25 0x00007f263668f845 in KSystemTraylcon::activateOrHide () from /usr/lib64/libkdeui.so.5
No symbol table info available.

#26 0x00007f263669069¢ in KSystemTraylcon::qt_metacall () from /usr/lib64/libkdeui.s0.5

No symbol table info available.

#27 0x00007f2638ea255a in QMetaMethod::invoke () from /usr/lib64/qt4/libQtCore.so.4

No symbol table info available.

#28 0x00007f2638ea2c6¢ in QMetaObject::invokeMethod () from /usr/lib64/qt4/libQtCore.so.4
No symbol table info available.

#29 0x0000000000446775 in _start ()

No symbol table info available.

#2 - 05/31/2009 11:16 AM - DevUrandom

Note that the last backtrace (comment 1) is not from 0.4.2 but from git checked out on 20090530.
Note also that it now became perfectly reproducible. Or in other words: Quassel is now totally unusable, since | can not restore the window anymore.
(Every click on the systray icon, no matter when, will result in Quassel crashing.)

#3 - 05/31/2009 11:22 AM - DevUrandom
Still reproducible with a snapshot from UTC 200905300922.

#4 - 05/31/2009 12:11 PM - Cybertinus

I just had the same symptoms as DevUrandom had. Only my stacktrace looks a lot different. This is it. This is with QuasselClient 0.4.2 and
QuasselCore 0.4.2 on Gentoo Linux:

% quasselclient

"no registered receiver for sync call: IrcUser::awaySet(bool) (objectName="6/Cybertinus"). Params are:" (QVariant(bool, false) )
"no registered receiver for sync call: IrcUser::awaySet(bool) (objectName="4/Cybertinus"). Params are:" (QVariant(bool, false) )
"no registered receiver for sync call: IrcUser::awaySet(bool) (objectName="1/Cybertinus"). Params are:" (QVariant(bool, false) )
"no registered receiver for sync call: IrcUser::awaySet(bool) (objectName="5/Cybertinus"). Params are:" (QVariant(bool, false) )
"no registered receiver for sync call: IrcUser::awaySet(bool) (objectName="9/Cybertinus"). Params are:" (QVariant(bool, false) )
Quassel IRC: "0.4.2" "875f62ce1fc53806d4856347b0c0bc699e4b154c"

1.0 quasselclient 0x00000000005a0223 0x0000000000000000
2.1 quasselclient 0x000000000058a080 0x0000000000000000
3.2libc.so0.6 0x00000036740326d0 0x0000000000000000
4. 3 libQtGui.so.4 0x0000003dcaab818b QSortFilterProxyModel::parent(QModellndex const&) const
5.4 libQtGui.so0.4 0x0000003dcaa75c01 QTreeView::indexRowSizeHint(QModellndex const&) const
6.5 libQtGui.so.4 0x0000003dcaa76295 0x0000000000000000
7.6 libQtGui.so0.4 0x0000003dcaa76501 0x0000000000000000
8.7 libQtGui.so0.4 0x0000003dcaa7693f QTreeView::updateGeometries()
9. 8 libQtGui.so.4 0x0000003dca5ebdaa QWidget::event(QEvent®)
10. 9 libQtGui.so.4 0x0000003dca9310cb QFrame::event(QEvent*)
11.10 libQtGui.so0.4 0x0000003dcaa47a6d QAbstractltemView::viewportEvent(QEvent*)
12. 11 libQtGui.s0.4 0x0000003dcaa7d4f2 QTreeView::viewportEvent(QEvent*)
13.12 libQtCore.s0.4 0x000000367dd2ee27 QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*)
14. 13 libQtGui.so0.4 0x0000003dca59e85¢c QApplicationPrivate::notify_helper(QObject*, QEvent*)
15. 14 libQtGui.s0.4 0x0000003dcab5a728a QApplication::notify(QObject*, QEvent*)
16. 15 libkdeui.s0.5 0x0000003dcb619f9b KApplication::notify(QObject*, QEvent*)
17.16 libQtCore.s0.4
18. 17 libQtGui.s0.4
19. 18 libQtGui.s0.4
20. 19 libQtGui.so.4
21. 20 libQtGui.so0.4
22. 21 libQtGui.so0.4
23. 22 libQtGui.so.4
24. 23 libQtGui.so0.4
25. 24 libQtGui.so0.4
26. 25 libQtGui.so.4
27. 26 libQtGui.so.4
28. 27 libkdeui.so0.5
29. 28 libkdeui.so0.5
30. 29 libkdeui.so0.5
31.30 libQtCore.so0.4

0x000000367dd2fafb QCoreApplication::notifyInternal(QObject*, QEvent*)
0x0000003dcab5e6bd1 QWidgetPrivate::sendPendingMoveAndResizeEvents(bool, bool)
0x0000003dca5ec9d3 QWidgetPrivate::show_helper()
0x0000003dca5ed07a QWidget::setVisible(bool)
0x0000003dca5ece6e QWidgetPrivate::showChildren(bool)
0x0000003dca5ec9ef QWidgetPrivate::show_helper()
0x0000003dca5ece52 QWidgetPrivate::showChildren(bool)
0x0000003dca5ec9ef QWidgetPrivate::show_helper()
0x0000003dca5ece52 QWidgetPrivate::showChildren(bool)
0x0000003dca5ec9ef QWidgetPrivate::show_helper()
0x0000003dcab5ed07a QWidget::setVisible(bool)
0x0000003dcb697fe2 KSystemTraylcon::minimizeRestore(bool)
0x0000003dcb698145 KSystemTraylcon::activateOrHide(QSystemTraylcon::ActivationReason)
0x0000003dcb698fce KSystemTraylcon::gt_metacall(QMetaObject::Call, int, void**)
0x000000367dd37182 QMetaMethod::invoke(QObject*, Qt::ConnectionType, QGenericReturnArgument,

QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument,
QGenericArgument, QGenericArgument, QGenericArgument) const

32. 31 libQtCore.so0.4

0x000000367dd3786¢c QMetaObject::invokeMethod(QObject*, char const*, Qt::ConnectionType,

QGenericReturnArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument,
QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument)

33. 32 quasselclient
34. 33 quasselclient
35. 34 libQtCore.s0.4
36. 35 libQtGui.so.4
37. 36 libQtGui.so.4
38. 37 libQtGui.so.4
39. 38 libQtGui.so0.4
40. 39 libQtGui.so.4
41. 40 libkdeui.so0.5
42.41 libQtCore.so0.4
43. 42 libQtGui.so.4

0x000000000044948d 0x0000000000000000

0x00000000004b6cbe 0x0000000000000000

0x000000367dd41efd QMetaObject::activate(QObject™, int, int, void™*)
0x0000003dcab5d20e QSystemTraylcon::activated(QSystemTraylcon::ActivationReason)
0x0000003dcab5197¢ 0x0000000000000000

0x0000003dca5ec0fb QWidget::event(QEvent*)

0x0000003dca59e88d QApplicationPrivate::notify_helper(QObject*, QEvent*)
0x0000003dca5a79eb QApplication::notify(QObject*, QEvent*)
0x0000003dcb619f9b KApplication::notify(QObject*, QEvent*)

0x000000367dd2fafb QCoreApplication::notifylnternal(QObject*, QEvent*)
0x0000003dca5a6c98 QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&)

44.43 libQtGui.so0.4
45. 44 1ibQtGui.so.4
46. 45 libQtGui.so.4
47.46 libglib-2.0.s0.0
48. 47 libglib-2.0.s0.0
49. 48 libglib-2.0.s0.0
50. 49 libQtCore.so0.4
51. 50 libQtGui.so.4
52.51 libQtCore.s0.4
53. 52 libQtCore.so0.4
54. 53 libQtCore.s0.4
55. 54 quasselclient
56. 55 libc.so0.6
57.56 quasselclient

0x0000003dca6019ac 0x0000000000000000

0x0000003dcab004e5 QApplication::x11ProcessEvent(_XEvent*)

0x0000003dca6253cc 0x0000000000000000

0x000000367ac39e29 g_main_context_dispatch

0x000000367ac3d4e0 0x0000000000000000

0x000000367ac3d67c g_main_context_iteration
0x000000367dd54f7f QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)
0x0000003dca624c8f 0x0000000000000000
0x000000367dd2e4b2 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)
0x000000367dd2e645 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)
0x000000367dd306bc QCoreApplication::exec()

0x000000000042f5b5 0x0000000000000000

0x000000367401ea26 __libc_start_main
0x000000000042e319 0x0000000000000000

Hopefully my stacktrace is usefull :)

With my Quassel was also totally unusable. | have QuasselClient set up that it automatically connects to the core. | had to stop the core, start
QuasselClient, wait for the error that it couldn't connect, start QuasselCore and then connect QuasselClient again, then | could use Quassel again.

#5 - 05/31/2009 02:45 PM - DevUrandom

| have found a way to "workaround" the crash:
If I am very fast and click the systray icon while the "Connecting..." dialogue is still open, | can access the Quassel window.
If | did that once, | can hide/restore the Quassel window with subsequent clicks on the systray icon without a crash.

#6 - 05/31/2009 04:54 PM - Sputnick

- Status changed from New to Rejected

- Assignee set to Sputnick

Same old. Nothing really new in this BR, so rejecting it as dupe. Thanks anyway :)

Files
